flake-inputs:
{config, pkgs, lib, ... }: {

imports = [
  ./hardware-configuration.nix
  ../../roles
  ../../roles/xen_guest.nix
  ./network.nix
];

# System configuration here

  boot.consoleLogLevel = "7";
  boot.loader.grub.storePath = "/nix/store";
  boot.loader.grub.copyKernels = false;
  networking.hostName = "nerf-nixos-testlab";
  system.stateVersion = "23.11";
}
